@media screen and (max-width: 1599px){ 
    .home_banner{
        height: 760px;
    }
    .banner_home_section{
        height: 760px;
    }
    .heading.heading_banner{
        font-size: 50px;
        line-height: 60px;
        margin-bottom: 25px;
    }
    .pb_100 {
        padding-bottom: 90px !important;
    }
    .pt_100 {
        padding-top: 90px !important;
    }
    .product-slider-box.bnr_btmssb{
        height: 470px;
    }
    .cmn_black_heading{
        font-size: 45px;
        line-height: 53px;
    }
    .woocommerce-loop-product__link img{
        height: 300px !important;
    }
    .woocommerce-loop-product__title{
        font-size: 25px;
        line-height: 33px;
    }
    .shop_all_btn{
        margin-top: 53px;
    }
    .footer_copyright{
        padding: 20px 0 12px;
        margin: 80px 0 0 0;
    }
    .footer_logo_box .site-logo a{
        margin-bottom: 25px;
    }
    .footer_logo_box img{
        width: 130px;
    }
    .footer_copyright p, .footer_copyright .privacy-policy a{
        font-size: 16px;
    }
    .inner_banner_text .heading.heading_banner{
        font-size: 65px;
        line-height: 75px;
    }
    .common_banner.inner_banner{
        height: 530px;
    }
    .single-product.woocommerce .summary.entry-summary{
        max-width: 100%;
    }
    .specificationssam{
        padding: 70px 0 90px;
        padding-left: 99999px;
        margin-left: -99999px;
        padding-right: 99999px;
        margin-right: -99999px;
    }
    .related_productssam{
        padding: 70px 0 50px;
        padding-left: 99999px;
        margin-left: -99999px;
        padding-right: 99999px;
        margin-right: -99999px;
    }
    .header_full_menu_top{
        padding: 15px 0;
    }
    .header_menu .site-logo img{
        width: 90px;
    }
    .header_full_menu_top.fixed .header_menu .site-logo img{
        width: 70px;
    }
    .hedermenuphone a{
        padding: 7px 11px;
        gap: 8px;
        font-size: 16px;
        line-height: 25px;
    }
    .hedermenuphone a i{
        width: 30px;
        height: 30px;
        font-size: 15px;
    }
    .menu_navigation li a{
        font-size: 17px;
        line-height: 27px;
    }
    .proddetsbrdcm{
        margin-top: 122px;
    }
    .thankyouSectionpageerror{
        padding: 200px 0 80px;
    }
} 

@media screen and (max-width: 1439px){
    .banner_home_section {
        height: 710px;
    }
    .home_banner {
        height: 710px;
    }
    .inner_banner_text .heading.heading_banner {
        font-size: 50px;
        line-height: 59px;
    }
    .common_banner.inner_banner {
        height: 510px;
    }
    .cmn_black_heading {
        font-size: 42px;
        line-height: 49px;
    }
    .single-product.woocommerce .summary.entry-summary {
        max-width: 100%;
    }
    .specificationssam .specifications_details{
        grid-template-columns: repeat(2, 1fr);
    }
    .single-product.woocommerce .product_title.entry-title{
        font-size: 35px;
        line-height: 42px;
    }
    .cmn_mapbox{
        height: 230px;
    }
    .contact_formtextbox{
        padding-right: 50px;
    }
    .box_mailaddphone{
        padding: 40px;
    }
    .header_phoncountry .wpml-dropdown {
        padding: 10px 8px 6px;
    }
}

@media screen and (max-width: 1359px){ 
    .woocommerce-loop-product__link img{
        height: 275px !important;
    }
    .pt_100 {
        padding-top: 80px !important;
    }
    .footer_copyright{
        margin: 70px 0 0 0;
    }
    .specificationssam {
        padding: 60px 0 80px;
        padding-left: 99999px;
        margin-left: -99999px;
        padding-right: 99999px;
        margin-right: -99999px;
    }
    .single-product.woocommerce .woocommerce-tabs.wc-tabs-wrapper{
        padding-bottom: 30px;
    }
    .single-product.woocommerce div.product div.images .woocommerce-product-gallery__image a{
        height: 540px;
    }
    .single-product.woocommerce .summary.entry-summary {
        padding: 25px 0 0;
        margin-left: 0;
        max-width: 100%;
    }
    p{
        font-size: 17px;
        line-height: 26px;
    }
    .cmn_black_heading {
        font-size: 38px;
        line-height: 45px;
    }
    .common_banner.inner_banner {
        height: 460px;
    }
    .heading.heading_banner{
        margin-bottom: 20px;
    }
    .pb_100 {
        padding-bottom: 80px !important;
    }
    .product-slider-box.bnr_btmssb {
        height: 440px;
    }
    .banner_home_section {
        height: 650px;
    }
    .home_banner {
        height: 650px;
    }
    .heading.heading_banner {
        font-size: 45px;
        line-height: 54px; 
    }
    .shop_all_btn {
        margin-top: 43px;
    }
    .cmn_mapbox { 
        border-radius: 10px;
        height: 220px; 
        padding: 20px 15px; 
    }
}

@media screen and (max-width: 1199px){
    .banner_home_section {
        height: 600px;
    }
    .home_banner {
        height: 600px;
    }
    .product-slider-box.bnr_btmssb {
        height: 350px;
    }
    .cmn_black_heading {
        font-size: 35px;
        line-height: 42px;
    }
    .woocommerce-loop-product__title {
        font-size: 24px !important;
        line-height: 30px;
    }
    .woocommerce-Price-amount.amount{
        font-size: 20px;
        line-height: 28px;
    }
    .shop_all_btn {
        margin-top: 33px;
    }
    .inner_banner_text .heading.heading_banner {
        font-size: 45px;
        line-height: 53px;
    }
    .heading.heading_banner {
        margin-bottom: 15px;
    }
    .common_banner.inner_banner {
        height: 420px;
    }
    .abtlit{
        height: 380px;
    }
    .product_listing_inner .products[class*="columns-"]{
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    } 
    .map_contact {
        height: 450px;
    }
    .single-product.woocommerce div.product div.images .flex-control-thumbs{
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 991px){
    .categories_ftrmb {
        padding-left: 0;
    }
    .footer_logo_box .site-logo a {
        margin-bottom: 15px;
    }
    .responsive .responsive_btn{
        display: block;
    } 
    .responsive_btn {
        display: block;
        top: 0;
        position: absolute;
        right: 0;
        bottom: 0;
        margin: auto;
    }
    .menu-header-menu-container{
        display: none;
    }
    .header_full_menu_top {
        padding: 8px 0;
    }
    .header_menu{
        position: relative;
    }
    .hedermenuphone a {
        padding: 4px 10px 4px 6px;
        gap: 6px;
        font-size: 14px;
        line-height: 23px;
    }
    .hedermenuphone{
        padding-right: 0px;
    }
    .header_phoncountry{
        padding-right: 55px;
    }
    .home_banner {
        height: 550px;
    }
    .banner_home_section {
        height: 550px;
    }
    .heading.heading_banner {
        font-size: 38px;
        line-height: 45px;
    }
    .shortDesc.shortDesc_banner { 
        font-size: 18px;
        margin-bottom: 20px;
        line-height: 26px;
    }
    .pb_100 {
        padding-bottom: 70px !important;
    }
    .pt_100 {
        padding-top: 70px !important;
    }
    .sub_htitle {
        font-size: 16px;
        line-height: 24px; 
        margin-bottom: 7px;
    }
    .cmn_black_heading {
        font-size: 32px;
        line-height: 37px;
        margin-bottom: 15px;
    }
    .home_mostadvncesectext {
        max-width: 100%;
        margin-bottom: 30px;
    }
    .woocommerce-loop-product__title {
        font-size: 22px !important;
        line-height: 28px;
    }
    .woocommerce-loop-product__link img{
        margin-bottom: 13px !important;
    }
    .shop_all_btn {
        margin-top: 25px;
    }
    .footer_logo_box .site-logo{
        text-align: center;
    }
    .footer_desc {
        font-size: 16px;
        line-height: 26px; 
        margin: 0 0 20px 0;
        text-align: center;
    }
    .ftr_contctcd {
        margin-bottom: 8px;
    }
    .list_links_footer li a{
        padding: 0px 23px 10px;
    }
    .footer_copyright {
        margin: 50px 0 0 0;
    }
    .ftr_contctinfo a{
        font-size: 16px;
        line-height: 26px;
    }
    .list_links_footer li a{
        font-size: 16px;
        line-height: 26px;
    }
    .ftrsub-heading { 
        font-size: 21px;
        line-height: 29px; 
        margin-bottom: 20px; 
    }
    .footer_copyright {
        padding: 17px 0 10px; 
    }
    .common_banner.inner_banner {
        height: 370px;
    }
    .inner_banner_text .heading.heading_banner {
        font-size: 40px;
        line-height: 47px;
    }
    .heading.heading_banner {
        margin-bottom: 13px;
    }
    .abtlit{
        display: none;
    }
    .abtlio {
        width: 93%;
        height: 400px; 
    }
    .aboutContentright{
        height: 400px;
    }
    .product_listing_inner .shop-sidebar{
        margin-bottom: 40px;
    }
    .woocommerce .woocommerce-ordering {
        margin-top: -20px;
    }
    .product_listing_inner .row::before{
        width: 96%;
        top: -31px;
    }
    .product_listing_inner .row{
        margin-top: 85px;
    }
    .product_listing_inner.pt_80 {
        padding-top: 60px !important;
    } 
    .proddetsbrdcm {
        margin-top: 108px;
    }
    .proddetsbrdcm .breadcrumb ul li{
        font-size: 17px;
        line-height: 26px;
    }
    .single-product.woocommerce .product_title.entry-title {
        font-size: 30px;
        line-height: 37px;
    }
    body.single-product .summary.entry-summary .woocommerce-Price-amount.amount {
        font-size: 25px;
        margin-top: 6px;
        line-height: 32px;
    }
    .specificationssam .specifications_info{
        flex-direction: column;
    }
    .specificationssam .specifications_details{
        margin-top: 10px;
        grid-template-columns: repeat(2, 1fr);
        width: 100%;
        gap: 10px;
    }
    .specificationssam .cmn_black_heading { 
        padding-bottom: 13px;
        font-size: 33px;
        line-height: 39px;
    }
    .specificationssam .specifications_details .spec-item { 
        padding: 3px 0 15px 0;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs li a{
        padding: 5px 0;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs li{
        padding: 6px 20px 0;
    }
    .single-product.woocommerce .tabs.wc-tabs {
        padding: 13px 8px !important;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs{
        margin: 0 0 17px;
    }
    .single-product.woocommerce div.product .woocommerce-tabs .panel h2 {
        font-size: 25px;
        line-height: 32px; 
        margin-bottom: 10px;
    }
    .map_contact {
        height: 400px;
    }
    .contact_formtextbox {
        padding-right: 0;
        margin-bottom: 30px;
    }
    .box_mailaddphone {
        padding: 20px;
    }
    .accordionsam{
        width: 95%;
    }
    .accordion-button{
        font-size: 18px;
        line-height: 28px;
        padding: 20px 0;
    }
    .cmnctbx{
        padding: 10px 0 15px;
    }
    .single-product.woocommerce div.product div.images .flex-control-thumbs li{
        width: 100px;
        height: 70px;
        border-radius: 5px;
    }
    .single-product.woocommerce div.product div.images .flex-control-thumbs { 
        padding: 15px 5px; 
        gap: 6px;
    }
    .footer_copyright p, .footer_copyright .privacy-policy a {
        font-size: 14px;
    }
    .header_phoncountry .wpml-dropdown {
        padding: 8px 8px 2px;
    }
}

@media screen and (max-width: 767px){
    .home_banner {
        height: 500px;
    }
    .banner_home_section {
        height: 500px;
    }
    .footer_copyright p {
        font-size: 14px;
        line-height: 20px;
    }
    .list_links_footer li a::before{
        left: -5px; 
    }
    .list_links_footer li a { 
        display: inline-block;
        padding: 0px 15px 5px;
    }
    .ftrsub-heading{
        text-align: center;
    }
    .categories_ftrmb{
        text-align: center;
        margin-bottom: 20px;
    }
    .ftrsub-heading{
        margin-bottom: 15px;
    }
    .ftr_contctinfo i{
        width: 24px;
        height: 24px;
        font-size: 12px;
    }
    .ftr_contctinfo a{
        padding-left: 2px;
    }
    .ftrsub-heading::before{
        right: 0;
        margin: auto;
    }
    .ftr_contctinfo{
        text-align: center;
    }
    .common_banner.inner_banner {
        height: 340px;
    }
    .inner_banner_text .heading.heading_banner {
        font-size: 37px;
        line-height: 43px;
    }
    .aboutContentright{
        float: none;
        width: 100%;
        height: 300px;
        margin-bottom: 20px;
    }
    .abtimages{
        height: 100%;
    }
    .abtlio{
        height: 100%;
    }
    .explorebycycltxtbx{
        width: 100%;
    }
    .woocommerce-loop-product__title {
        font-size: 20px !important;
        line-height: 26px;
    }
    .woocommerce-Price-amount.amount {
        font-size: 19px;
        line-height: 26px;
    }
    .specificationssam .cmn_black_heading {
        padding-bottom: 13px; 
        line-height: 20px;
    }
    .specificationssam .titlespheading{
        width: 100%;
    }
    .specificationssam .cmn_black_heading{
        font-size: 28px;
    }
    .single-product.woocommerce div.product div.images .woocommerce-product-gallery__image a {
        height: 450px;
    }
    .abtlio{
        width: 100%;
    }
    .header_phoncountry{
        gap: 7px;
    }
    .header_phoncountry .wpml-dropdown{
        font-size: 15px;
    }
}

@media screen and (max-width: 639px){
    .home_banner {
        height: 480px;
    }
    .banner_home_section {
        height: 480px;
    }
    .heading.heading_banner {
        font-size: 35px;
        line-height: 43px;
        margin-bottom: 15px;
    }
    .shortDesc.shortDesc_banner{
        margin-bottom: 15px;
    }
    .homebbslide:hover .owl-nav button.owl-prev{
        left: 0;
        width: 32px;
        height: 32px;
    }
    .homebbslide:hover .owl-nav button.owl-next{
        right: 0;
        width: 32px;
        height: 32px;
    }
    .pstbbslider{
        width: 96%;
    }
    .heading.heading_banner{
        margin-bottom: 13px;
    }
    .common_banner.inner_banner {
        height: 310px;
    }
    .single-product.woocommerce div.product div.images .flex-control-thumbs li{
        width: 90px;
        height: 60px;
    }
    .pstbbslider{
        bottom: 0;
    }
    .pstbbslider .explore_text{
        opacity: initial;
    }
    .container.copyright_privacy {
        flex-direction: column;
        gap: 5px;
    }
	/*=================Table=================*/
	.table-wrapper table {
		font-size: 15px;
	}

	.table-wrapper th, .table-wrapper td {
		padding: 12px;
	}
}

@media screen and (max-width: 574px){
    .hme_banner_btn{
        min-width: 130px;
        height: 40px;
        font-size: 16px;
        line-height: 26px;
    }
    .heading.heading_banner {
        font-size: 30px;
        line-height: 37px;
        margin-bottom: 10px;
    }
    .shortDesc.shortDesc_banner {
        margin-bottom: 10px;
        font-size: 17px;
    }
    .hedermenuphone {
        padding-right: 0px;
    }
    .cmn_black_heading {
        font-size: 27px;
        line-height: 32px;
        margin-bottom: 10px;
    }
    .home_mostadvncesectext { 
        margin-bottom: 20px;
    }
    .footer_logo_box img {
        width: 110px;
    }
    .footer_copyright{
        padding: 15px 10px 10px;
    }
    .common_banner.inner_banner {
        height: 290px;
    }
    .inner_banner_text .heading.heading_banner {
        font-size: 32px;
        line-height: 39px;
    }
    .breadcrumb ul li { 
        font-size: 16px; 
        line-height: 25px; 
    }
    .inner_banner_text{
        padding-top: 90px;
    }
    .product_listing_inner .products[class*="columns-"] {
        grid-template-columns: repeat(1, 1fr);
        gap: 15px;
    }
    .proddetsbrdcm .breadcrumb ul li {
        font-size: 14px;
        line-height: 22px;
    }
    .hedermenuphone a span{
        display: none;
    }
    .hedermenuphone a i{
        border-radius: 0;
        width: 34px;
        height: 34px;
    }
    .hedermenuphone a{
        border-radius: 0;
        padding: 2px;
    } 
    .header_phoncountry {
        padding-right: 50px;
    }
    .header_phoncountry .wpml-dropdown{
        border-radius: 0;
    }
}

@media screen and (max-width: 479px){
    .home_banner {
        height: 450px;
    }
    .banner_home_section {
        height: 450px;
    }   
    .woocommerce .woocommerce-result-count {
        margin: 0 0 8px;
    }
    .product_listing_inner .woocommerce-ordering select{
        width: 100%;
    }
    .woocommerce .woocommerce-ordering {
        margin-top: 0;
        width: 100%;
    }
    .woocommerce .woocommerce-result-count, .woocommerce-page .woocommerce-result-count{
        float: none;
    }
    .product_listing_inner .row::before{
        width: 93%;
        top: -22px;
    }
    .shop-sidebar .sidebar-title{
        font-size: 21px;
        line-height: 28px;
    }
    .single-product.woocommerce div.product div.images .woocommerce-product-gallery__image a {
        height: 400px;
    }
    .single-product.woocommerce .product_title.entry-title {
        font-size: 28px;
        line-height: 34px;
    }
    .map_contact {
        height: 300px;
    }
    .bmacsiglehead{
        font-size: 18px;
        line-height: 28px;
    }
    .box_mailaddphone {
        padding: 15px;
    }
    .bmacsiglepara { 
        font-size: 17px;
        line-height: 27px; 
    }
    .contact_formmain textarea{
        height: 100px;
    }
    .imgerrorthank{
        width: 130px;
    }
    .thankyouSectionpageerror {
        padding: 180px 0 80px;
    }
    .header_phoncountry .wpml-dropdown {
        padding: 6px 5px 4px;
    }
}

@media screen and (max-width: 439px){
    .home_banner {
        height: 430px;
    }
    .banner_home_section {
        height: 430px;
    }  
    .heading.heading_banner {
        font-size: 28px;
        line-height: 35px;
        margin-bottom: 8px;
    }
    .hme_banner_btn{
        min-width: 123px;
        height: 36px;
    }
    .pstbbslider .product_text{
        font-size: 17px;
        line-height: 25px;
    }
    .homebbslide:hover .owl-nav button i{
        font-size: 14px;
    }
    .homebbslide:hover .owl-nav button.owl-prev{ 
        width: 28px;
        height: 28px;
    }
    .homebbslide:hover .owl-nav button.owl-next{ 
        width: 28px;
        height: 28px;
    }
    .common_banner.inner_banner {
        height: 280px;
    }
    .specificationssam .specifications_details .spec-item .value{
        font-size: 13px;
        line-height: 20px;
    }
    .specificationssam .specifications_details .spec-item .label{
        font-size: 15px;
        line-height: 22px;
    }
    .single-product.woocommerce div.product div.images .woocommerce-product-gallery__image a {
        height: 350px;
    }
    .proddetsbrdcm .breadcrumb ul li {
        font-size: 12px;
        line-height: 20px;
    }
    .bmacsiglehead{
        padding: 4px 0;
    }
}

@media screen and (max-width: 399px){ 
    .hedermenuphone{
        padding-right: 0px;
    }
    .home_banner {
        height: 410px;
    }
    .banner_home_section {
        height: 410px;
    }
    .footer_desc p {
        font-size: 16px;
        line-height: 25px; 
    }
    .common_banner.inner_banner {
        height: 260px;
    }
    .inner_banner_text .heading.heading_banner {
        font-size: 30px;
        line-height: 37px;
    }
    .breadcrumb ul{
        gap: 14px;
    }
    .breadcrumb ul li::before{
        left: -8px;
    }
    .single-product.woocommerce div.product div.images .woocommerce-product-gallery__image a {
        height: 320px;
    }
    .single-product.woocommerce .product_title.entry-title {
        font-size: 26px;
        line-height: 32px;
    }
    .header_phoncountry .wpml-dropdown {
        font-size: 14px;
        min-width: 110px;
        padding: 7px 7px 3px;
    }
}

@media screen and (max-width: 359px){
    .header_phoncountry .wpml-dropdown {
        font-size: 11px;
        min-width: 96px;
        padding: 7px 4px 3px;
    }
    .header_phoncountry {
        padding-right: 45px;
    }
    .header_phoncountry {
        gap: 5px;
    }
}